Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.relauncher
Class RelaunchClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  cpw.mods.fml.relauncher.RelaunchClassLoader

    public class RelaunchClassLoader

extends URLClassLoader

Constructor Summary
`RelaunchClassLoader(URL[] sources)`

Method Summary
`void` | `addURL(URL url)`
`Class<?>` | `findClass(String name)`
`byte[]` | `getClassBytes(String name)`
`List<URL>` | `getSources()`
`List<IClassTransformer>` | `getTransformers()`
`void` | `registerTransformer(String transformerClassName)`

Methods inherited from class java.net.URLClassLoader
`findResource, findResources, getURLs, newInstance, newInstance`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelaunchClassLoader

    public RelaunchClassLoader(URL[] sources)

Method Detail

### registerTransformer

    public void registerTransformer(String transformerClassName)

### findClass

    public Class<?> findClass(String name)
                       throws ClassNotFoundException

  Overrides:
    `findClass` in class `URLClassLoader`
  Throws:
    `ClassNotFoundException`

### addURL

    public void addURL(URL url)

  Overrides:
    `addURL` in class `URLClassLoader`

### getSources

    public List<URL> getSources()

### getTransformers

    public List<IClassTransformer> getTransformers()

### getClassBytes

    public byte[] getClassBytes(String name)
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD